PDF Anhang kann nicht an Gmail geschickt werden?

  • Hallo,


    habe gerade das Problem, dass ich eine E-Mail mit PDF Datei im Anhang nicht an eine Gmail Adresse schicken kann.
    Habt ihr irgendeine Idee woran das liegen könnte und ob ich es von meiner Seite aus lösen kann?

    Danke!


    Hier der Text der zurückkommt:


    Quote



  • Darauf war ich auch schon gestoßen, kenne mich aber leider nicht wirklich damit aus, wo kann ich überprüfen ob das bei mir eingestellt ist und falls nicht, wie richte ich das alles ein? Muss ich das zentral machen oder für jede Domain separat?

  • Danke erstmal für die Infos, war mir bereits eine große Hilfe.

    Habe den DNS Eintrag TXT v=spf1 a mx ~all (TTL 3600?) jetzt bei einer Domain zum Testen hinzugefügt.
    Scheint soweit geklappt zu haben, Emails mit PDF Anhang gehen raus, es kommt keine Fehlermeldung, dauert allerdings ein paar Minuten (circa fünf) bis es bei Gmail ankommt, woran könnte das liegen?

    Wenn ich den SPF Record Checker durchführe auf der Seite die du geschickt hast, sagt er mir:

    Quote
    Warning : No valid MX record found for the domain


    Brauche ich unbedingt einen MX record für jede Domain bei der ich Emails nutze?

    Und wenn ja, was muss dort drinstehen?

  • Ja, sonst gibt es manchmal Probleme. Da muss ein FQDN drinstehen, also z. B. mail.example.com. Dieser FQDN benötigt dann noch einen A-Record auf die korrekte IP.

  • Okay, also einfach einen MX record neu setzen mit mail.meinedomain.de ?
    A record mit dem Namen "mail" habe ich bereits hinterlegt in diesem Fall.

  • Ja, das ist richtig. Eigentlich ist es sogar mail.example.com. (Punkt am Ende). Das ist aber bei vielen Anbietern egal, da sie den Punkt automatisch ergänzen.

  • Hallo,


    hier kannst du auch alles testen: https://mxtoolbox.com/


    Gruß

    Viktor

    - Distribution: Debian | Release: 8.10 | Codename: jessie

    - i-MSCP Version: i-MSCP 1.5.3 | Build: 20180516 | Codename: Ennio Morricone

    - Plugins installed: ClamAV (v. 1.3.0), Mailgraph (v 1.1.1), OpenDKIM (v 2.0.0), PanelRedirect (v 1.2.0) & SpamAssassin (v 2.0.1)

    - LetsEncrypt (v 3.5.0), PhpSwitcher (v 5.0.5), RoundcubePlugins (v 2.0.2)